Get persisted follow-up suggestions
curl --request GET \
--url https://neo.api.projectdiscovery.io/api/v1/suggestions \
--header 'Authorization: Bearer <token>'import requests
url = "https://neo.api.projectdiscovery.io/api/v1/suggestions"
headers = {"Authorization": "Bearer <token>"}
response = requests.get(url, headers=headers)
print(response.text)const options = {method: 'GET', headers: {Authorization: 'Bearer <token>'}};
fetch('https://neo.api.projectdiscovery.io/api/v1/suggestions', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"scope": "user",
"stale": true,
"status": "empty",
"suggestions": [
{
"action": {
"prompt": "<string>",
"type": "continue_task",
"project_id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"schedule": "<string>",
"task_id": "3c90c3cc-0d44-4b50-8888-8dd25736052a"
},
"id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"kind": "follow_up",
"prompt": "<string>",
"title": "<string>",
"why_now": "<string>",
"source_task_id": "3c90c3cc-0d44-4b50-8888-8dd25736052a"
}
],
"context_version": "<string>",
"generated_at": "2023-11-07T05:31:56Z",
"generation_id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"project_id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"task_id": "3c90c3cc-0d44-4b50-8888-8dd25736052a"
}{
"error": "Bad request",
"code": "user_spending_cap_reached",
"error_id": "<string>",
"kind": "forbidden request",
"message": "<string>"
}{
"error": "Bad request",
"code": "user_spending_cap_reached",
"error_id": "<string>",
"kind": "forbidden request",
"message": "<string>"
}{
"error": "Bad request",
"code": "user_spending_cap_reached",
"error_id": "<string>",
"kind": "forbidden request",
"message": "<string>"
}Tasks
Get persisted follow-up suggestions
Returns the latest persisted suggestions for one task, one project, or the authenticated user. This endpoint never invokes a model.
GET
/
api
/
v1
/
suggestions
Get persisted follow-up suggestions
Authorizations
BearerAuthApiKeyAuth
JWT authentication token
Query Parameters
Generate or retrieve suggestions for this task. Mutually exclusive with project_id.
Generate or retrieve project-wide suggestions. Mutually exclusive with task_id.
Maximum number of suggestions. Defaults to 3.
Required range:
1 <= x <= 5Response
Latest persisted suggestions, or an empty result when none have been generated.
Available options:
user, project, task Available options:
empty, ready Maximum array length:
5Show child attributes
Show child attributes

